Skip to content
Pages in Reference

Certificates

Reference Updated View as Markdown
Method Path What it does Permission Sudo Approval
GET /api/apps/{domain}/certificate Get App Certificate apps.read
PUT /api/apps/{domain}/certificate Put App Certificate apps.manage
GET /api/certs List Certificates apps.read
GET /api/certs/acme Get Acme apps.read
PUT /api/certs/acme Put Acme settings.manage
POST /api/certs/acme/register Register Acme Account settings.manage
GET /api/certs/ca Get Overview apps.read
POST /api/certs/ca Make Authority settings.manage yes
DELETE /api/certs/ca Remove Authority settings.manage yes
POST /api/certs/ca/issued Issue Certificate apps.manage
POST /api/certs/ca/issued/{name}/renew Renew Certificate apps.manage
GET /api/certs/ca/root Get Root apps.read
GET /api/certs/ca/trust Get Trust apps.read
POST /api/certs/ca/trust-here Trust Here settings.manage yes
DELETE /api/certs/ca/trust-here Untrust Here settings.manage yes
POST /api/certs/renew-all Renew All Certificates apps.operate
GET /api/certs/uploaded List Uploaded apps.read
POST /api/certs/uploaded Upload Certificate apps.manage yes
DELETE /api/certs/uploaded/{name} Remove Uploaded apps.manage yes
GET /api/certs/{domain} Get Certificate apps.read
POST /api/certs/{domain} Create Certificate apps.manage
DELETE /api/certs/{domain} Delete Certificate apps.manage yes
POST /api/certs/{domain}/renew Renew Certificate apps.operate
POST /api/certs/{domain}/revoke Revoke Certificate apps.manage yes

Something on this page is wrong or unclear? Report it on GitHub.

Help, contributing and the project’s policies are under Project.

Search the documentation

Type to search every page.

↑ ↓ to move, Enter to open, Esc to close